Package org.eclipse.cdt.core.dom.ast

# Interface IASTEqualsInitializer

All Superinterfaces:
  `IASTInitializer`, `IASTNode`

All Known Subinterfaces:
  `IASTInitializerExpression`

public interface IASTEqualsInitializer extends IASTInitializer
Initializer with equals sign (copy initialization) as in `int x= 0;`.

Since:
  5.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`INITIALIZER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializer

`EMPTY_INITIALIZER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTInitializerClause`
`getInitializerClause()`
Returns the expression or braced initializer list of this initializer.
`void`
`setInitializerClause(IASTInitializerClause clause)`
Not allowed on frozen ast.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializer

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### INITIALIZER

static final ASTNodeProperty INITIALIZER

## Method Details

### getInitializerClause

IASTInitializerClause getInitializerClause()
Returns the expression or braced initializer list of this initializer.

### setInitializerClause

void setInitializerClause(IASTInitializerClause clause)
Not allowed on frozen ast.